oracle.pg.text.lucene

## Class OracleQueryParser

- java.lang.Object
- - org.apache.lucene.queryparser.classic.QueryParserBase
  - - org.apache.lucene.queryparser.classic.QueryParser
    - - oracle.pg.text.lucene.OracleQueryParser

- All Implemented Interfaces:
    org.apache.lucene.queryparser.classic.QueryParserConstants, org.apache.lucene.queryparser.flexible.standard.CommonQueryParserConfiguration

      public class OracleQueryParser
      extends org.apache.lucene.queryparser.classic.QueryParser

  Extension of Lucene's query parser to handle half-open numeric and term range queries for key/value properties over a property graph.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryparser.classic.QueryParser

      `org.apache.lucene.queryparser.classic.QueryParser.Operator`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryparser.classic.QueryParserBase

      `org.apache.lucene.queryparser.classic.QueryParserBase.MethodRemovedUseAnother`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.classic.QueryParser

      `jj_nt, token, token_source`

    - ### Fields inherited from class org.apache.lucene.queryparser.classic.QueryParserBase

      `AND_OPERATOR, OR_OPERATOR`

    - ### Fields inherited from interface org.apache.lucene.queryparser.classic.QueryParserConstants

      `_ESCAPED_CHAR, _NUM_CHAR, _QUOTED_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, BAREOPER, Boost, CARAT, COLON, DEFAULT, EOF, FUZZY_SLOP, LPAREN, MINUS, NOT, NUMBER, OR, PLUS, PREFIXTERM, QUOTED, Range, RANGE_GOOP, RANGE_QUOTED, RANGE_TO, RANGEEX_END, RANGEEX_START, RANGEIN_END, RANGEIN_START, REGEXPTERM, RPAREN, STAR, TERM, tokenImage, WILDTERM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleQueryParser(org.apache.lucene.util.Version matchVersion, String field, org.apache.lucene.analysis.Analyzer analyzer)`
    `OracleQueryParser(org.apache.lucene.util.Version matchVersion, String field, org.apache.lucene.analysis.Analyzer analyzer, boolean useDatatypes)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryparser.classic.QueryParser

      `Clause, Conjunction, disable_tracing, enable_tracing, generateParseException, getNextToken, getToken, Modifiers, Query, ReInit, ReInit, Term, TopLevelQuery`

    - ### Methods inherited from class org.apache.lucene.queryparser.classic.QueryParserBase

      `escape, getAllowLeadingWildcard, getAnalyzer, getAnalyzeRangeTerms, getAutoGeneratePhraseQueries, getDateResolution, getDefaultOperator, getEnablePositionIncrements, getField, getFuzzyMinSim, getFuzzyPrefixLength, getLocale, getLowercaseExpandedTerms, getMultiTermRewriteMethod, getPhraseSlop, getTimeZone, init, parse, setAllowLeadingWildcard, setAnalyzeRangeTerms, setAutoGeneratePhraseQueries, setDateResolution, setDateResolution, setDefaultOperator, setEnablePositionIncrements, setFuzzyMinSim, setFuzzyPrefixLength, setLocale, setLowercaseExpandedTerms, setMultiTermRewriteMethod, setPhraseSlop, setTimeZone`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleQueryParser

          public OracleQueryParser(org.apache.lucene.util.Version matchVersion,
                           String field,
                           org.apache.lucene.analysis.Analyzer analyzer)

    - #### OracleQueryParser

          public OracleQueryParser(org.apache.lucene.util.Version matchVersion,
                           String field,
                           org.apache.lucene.analysis.Analyzer analyzer,
                           boolean useDatatypes)

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.